Index: lex/gen.c
===================================================================
RCS file: /cvs/src/usr.bin/lex/gen.c,v
retrieving revision 1.3
diff -u -u -r1.3 gen.c
--- lex/gen.c	4 Oct 2003 20:36:47 -0000	1.3
+++ lex/gen.c	7 Nov 2004 20:02:15 -0000
@@ -603,11 +603,11 @@
 	if ( worry_about_NULs && ! nultrans )
 		{
 		if ( useecs )
-			(void) sprintf( char_map,
+			sprintf( char_map,
 				"(*yy_cp ? yy_ec[YY_SC_TO_UI(*yy_cp)] : %d)",
 					NUL_ec );
 		else
-			(void) sprintf( char_map,
+			sprintf( char_map,
 				"(*yy_cp ? YY_SC_TO_UI(*yy_cp) : %d)", NUL_ec );
 		}
 
@@ -710,7 +710,7 @@
 		{
 		char NUL_ec_str[20];
 
-		(void) sprintf( NUL_ec_str, "%d", NUL_ec );
+		sprintf( NUL_ec_str, "%d", NUL_ec );
 		gen_next_compressed_state( NUL_ec_str );
 
 		do_indent();
@@ -1619,5 +1619,5 @@
 	line_directive_out( stdout, 1 );
 
 	if ( sectnum == 3 )
-		(void) flexscan(); /* copy remainder of input to output */
+		flexscan(); /* copy remainder of input to output */
 	}
Index: lex/initscan.c
===================================================================
RCS file: /cvs/src/usr.bin/lex/initscan.c,v
retrieving revision 1.3
diff -u -u -r1.3 initscan.c
--- lex/initscan.c	4 Oct 2003 20:36:47 -0000	1.3
+++ lex/initscan.c	7 Nov 2004 20:02:15 -0000
@@ -3533,7 +3533,7 @@
 char msg[];
 #endif
 	{
-	(void) fprintf( stderr, "%s\n", msg );
+	fprintf( stderr, "%s\n", msg );
 	exit( YY_EXIT_FAILURE );
 	}
 
Index: lex/misc.c
===================================================================
RCS file: /cvs/src/usr.bin/lex/misc.c,v
retrieving revision 1.3
diff -u -u -r1.3 misc.c
--- lex/misc.c	4 Oct 2003 20:36:47 -0000	1.3
+++ lex/misc.c	7 Nov 2004 20:02:15 -0000
@@ -334,7 +334,7 @@
 	{
 	unsigned int result;
 
-	(void) sscanf( (char *) str, "%x", &result );
+	sscanf( (char *) str, "%x", &result );
 
 	return result;
 	}
@@ -345,7 +345,7 @@
 void lerrif(const char *msg, int arg)
 	{
 	char errmsg[MAXLINE];
-	(void) sprintf( errmsg, msg, arg );
+	sprintf( errmsg, msg, arg );
 	flexerror( errmsg );
 	}
 
@@ -356,7 +356,7 @@
 	{
 	char errmsg[MAXLINE];
 
-	(void) sprintf( errmsg, msg, arg );
+	sprintf( errmsg, msg, arg );
 	flexerror( errmsg );
 	}
 
@@ -494,7 +494,7 @@
 	{
 	int val = 0;
 
-	(void) sscanf( array, "%d", &val );
+	sscanf( array, "%d", &val );
 
 	return val;
 	}
@@ -585,7 +585,7 @@
 	{
 	unsigned int result;
 
-	(void) sscanf( (char *) str, "%o", &result );
+	sscanf( (char *) str, "%o", &result );
 	return result;
 	}
 
@@ -691,7 +691,7 @@
 #endif
 
 			default:
-				(void) sprintf( rform, "\\%.3o",
+				sprintf( rform, "\\%.3o",
 						(unsigned int) c );
 				return rform;
 			}
Index: lex/nfa.c
===================================================================
RCS file: /cvs/src/usr.bin/lex/nfa.c,v
retrieving revision 1.3
diff -u -u -r1.3 nfa.c
--- lex/nfa.c	4 Oct 2003 20:36:47 -0000	1.3
+++ lex/nfa.c	7 Nov 2004 20:02:15 -0000
@@ -59,7 +59,7 @@
 		{
 		int astate = mkstate( SYM_EPSILON );
 		accptnum[astate] = accepting_number;
-		(void) link_machines( mach, astate );
+		link_machines( mach, astate );
 		}
 	}
 
Index: lex/sym.c
===================================================================
RCS file: /cvs/src/usr.bin/lex/sym.c,v
retrieving revision 1.3
diff -u -u -r1.3 sym.c
--- lex/sym.c	4 Oct 2003 20:36:47 -0000	1.3
+++ lex/sym.c	7 Nov 2004 20:02:15 -0000
@@ -103,7 +103,7 @@
 	 */
 	Char *copy_unsigned_string();
 
-	(void) addsym( (char *) copy_unsigned_string( ccltxt ),
+	addsym( (char *) copy_unsigned_string( ccltxt ),
 			(char *) 0, cclnum,
 			ccltab, CCL_HASH_SIZE );
 	}
Index: lex/yylex.c
===================================================================
RCS file: /cvs/src/usr.bin/lex/yylex.c,v
retrieving revision 1.3
diff -u -u -r1.3 yylex.c
--- lex/yylex.c	4 Oct 2003 20:36:47 -0000	1.3
+++ lex/yylex.c	7 Nov 2004 20:02:15 -0000
@@ -93,11 +93,11 @@
 			case '*':
 			case '+':
 			case ',':
-				(void) putc( toktype, stderr );
+				putc( toktype, stderr );
 				break;
 
 			case '\n':
-				(void) putc( '\n', stderr );
+				putc( '\n', stderr );
 
 				if ( sectnum == 2 )
 				beglin = 1;
@@ -162,7 +162,7 @@
 								"\\%.3o",
 							(unsigned int) yylval );
 						else
-							(void) putc( yylval,
+							putc( yylval,
 								stderr );
 					break;
 					}
Index: limits/limits.c
===================================================================
RCS file: /cvs/src/usr.bin/limits/limits.c,v
retrieving revision 1.3
diff -u -u -r1.3 limits.c
--- limits/limits.c	22 Apr 2004 17:08:07 -0000	1.3
+++ limits/limits.c	7 Nov 2004 20:02:15 -0000
@@ -434,7 +434,7 @@
 
 	/* set leading environment variables, like eval(1) */
 	while (*argv && (p = strchr(*argv, '=')))
-	    (void)setenv(*argv++, ++p, 1);
+	    setenv(*argv++, ++p, 1);
 
 	/* Set limits */
 	for (rcswhich = 0; rcswhich < RLIM_NLIMITS; rcswhich++) {
@@ -502,7 +502,7 @@
 static void
 usage(void)
 {
-    (void)fprintf(stderr,
+    fprintf(stderr,
 "usage: limits [-C class|-U user] [-eaSHBE] [-bcdflmnstuvk [val]] [[name=val ...] cmd]\n");
     exit(EXIT_FAILURE);
 }
Index: lock/lock.c
===================================================================
RCS file: /cvs/src/usr.bin/lock/lock.c,v
retrieving revision 1.3
diff -u -u -r1.3 lock.c
--- lock/lock.c	4 Oct 2003 20:36:47 -0000	1.3
+++ lock/lock.c	7 Nov 2004 20:02:15 -0000
@@ -136,25 +136,25 @@
 	ap = asctime(timp);
 	tzn = timp->tm_zone;
 
-	(void)signal(SIGINT, quit);
-	(void)signal(SIGQUIT, quit);
+	signal(SIGINT, quit);
+	signal(SIGQUIT, quit);
 	ntty = tty; ntty.sg_flags &= ~ECHO;
-	(void)ioctl(0, TIOCSETP, &ntty);
+	ioctl(0, TIOCSETP, &ntty);
 
 	if (!mypw) {
 		/* get key and check again */
-		(void)printf("Key: ");
+		printf("Key: ");
 		if (!fgets(s, sizeof(s), stdin) || *s == '\n')
 			quit(0);
-		(void)printf("\nAgain: ");
+		printf("\nAgain: ");
 		/*
 		 * Don't need EOF test here, if we get EOF, then s1 != s
 		 * and the right things will happen.
 		 */
-		(void)fgets(s1, sizeof(s1), stdin);
-		(void)putchar('\n');
+		fgets(s1, sizeof(s1), stdin);
+		putchar('\n');
 		if (strcmp(s1, s)) {
-			(void)printf("\07lock: passwords didn't match.\n");
+			printf("\07lock: passwords didn't match.\n");
 			ioctl(0, TIOCSETP, &tty);
 			exit(1);
 		}
@@ -163,10 +163,10 @@
 	}
 
 	/* set signal handlers */
-	(void)signal(SIGINT, hi);
-	(void)signal(SIGQUIT, hi);
-	(void)signal(SIGTSTP, hi);
-	(void)signal(SIGALRM, bye);
+	signal(SIGINT, hi);
+	signal(SIGQUIT, hi);
+	signal(SIGTSTP, hi);
+	signal(SIGALRM, bye);
 
 	ntimer.it_interval = zerotime;
 	ntimer.it_value = timeout;
@@ -180,27 +180,27 @@
 		 * "Key:" prompt.
 		 */
 		if (ioctl(0, VT_LOCKSWITCH, &vtylock) == -1) {
-			(void)ioctl(0, TIOCSETP, &tty);
+			ioctl(0, TIOCSETP, &tty);
 			err(1, "locking vty");
 		}
 		vtyunlock = 0x2;
 	}
 
 	/* header info */
-	(void)printf("lock: %s on %s.", ttynam, hostname);
+	printf("lock: %s on %s.", ttynam, hostname);
 	if (no_timeout)
-		(void)printf(" no timeout.");
+		printf(" no timeout.");
 	else
-		(void)printf(" timeout in %d minute%s.", sectimeout,
+		printf(" timeout in %d minute%s.", sectimeout,
 		    sectimeout != 1 ? "s" : "");
 	if (vtylock)
-		(void)printf(" vty locked.");
-	(void)printf("\ntime now is %.20s%s%s", ap, tzn, ap + 19);
+		printf(" vty locked.");
+	printf("\ntime now is %.20s%s%s", ap, tzn, ap + 19);
 
 	failures = 0;
 
 	for (;;) {
-		(void)printf("Key: ");
+		printf("Key: ");
 		if (!fgets(s, sizeof(s), stdin)) {
 			clearerr(stdin);
 			hi(0);
@@ -213,7 +213,7 @@
 		}
 		else if (!strcmp(s, s1))
 			break;
-		(void)printf("\07\n");
+		printf("\07\n");
 	    	failures++;
 		if (getuid() == 0)
 	    	    syslog(LOG_NOTICE, "%d ROOT UNLOCK FAILURE%s (%s on %s)",
@@ -233,7 +233,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: lock [-npv] [-t timeout]\n");
+	fprintf(stderr, "usage: lock [-npv] [-t timeout]\n");
 	exit(1);
 }
 
@@ -243,11 +243,11 @@
 	struct timeval timval;
 
 	if (!gettimeofday(&timval, (struct timezone *)NULL)) {
-		(void)printf("lock: type in the unlock key. ");
+		printf("lock: type in the unlock key. ");
 		if (no_timeout) {
-			(void)putchar('\n');
+			putchar('\n');
 		} else {
-			(void)printf("timeout in %ld:%ld minutes\n",
+			printf("timeout in %ld:%ld minutes\n",
 			    (nexttime - timval.tv_sec) / 60,
 			    (nexttime - timval.tv_sec) % 60);
 		}
@@ -257,10 +257,10 @@
 void
 quit(int signo __unused)
 {
-	(void)putchar('\n');
-	(void)ioctl(0, TIOCSETP, &tty);
+	putchar('\n');
+	ioctl(0, TIOCSETP, &tty);
 	if (vtyunlock)
-		(void)ioctl(0, VT_LOCKSWITCH, &vtyunlock);
+		ioctl(0, VT_LOCKSWITCH, &vtyunlock);
 	exit(0);
 }
 
@@ -268,10 +268,10 @@
 bye(int signo __unused)
 {
 	if (!no_timeout) {
-		(void)ioctl(0, TIOCSETP, &tty);
+		ioctl(0, TIOCSETP, &tty);
 		if (vtyunlock)
-			(void)ioctl(0, VT_LOCKSWITCH, &vtyunlock);
-		(void)printf("lock: timeout\n");
+			ioctl(0, VT_LOCKSWITCH, &vtyunlock);
+		printf("lock: timeout\n");
 		exit(1);
 	}
 }
Index: logger/logger.c
===================================================================
RCS file: /cvs/src/usr.bin/logger/logger.c,v
retrieving revision 1.3
diff -u -u -r1.3 logger.c
--- logger/logger.c	4 Oct 2003 20:36:48 -0000	1.3
+++ logger/logger.c	7 Nov 2004 20:02:15 -0000
@@ -127,7 +127,7 @@
 
 	/* setup for logging */
 	openlog(tag ? tag : getlogin(), logflags, 0);
-	(void) fclose(stdout);
+	fclose(stdout);
 
 	/* log input line if appropriate */
 	if (argc > 0) {
@@ -266,7 +266,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: %s\n",
+	fprintf(stderr, "usage: %s\n",
 	    "logger [-46Ais] [-f file] [-h host] [-p pri] [-t tag] [message ...]"
 	    );
 	exit(1);
Index: login/login.c
===================================================================
RCS file: /cvs/src/usr.bin/login/login.c,v
retrieving revision 1.4
diff -u -u -r1.4 login.c
--- login/login.c	3 Nov 2003 19:31:30 -0000	1.4
+++ login/login.c	7 Nov 2004 20:02:15 -0000
@@ -166,19 +166,19 @@
 	int e;
 #endif /* USE_PAM */
 
-	(void)signal(SIGQUIT, SIG_IGN);
-	(void)signal(SIGINT, SIG_IGN);
-	(void)signal(SIGHUP, SIG_IGN);
+	signal(SIGQUIT, SIG_IGN);
+	signal(SIGINT, SIG_IGN);
+	signal(SIGHUP, SIG_IGN);
 	if (setjmp(timeout_buf)) {
 		if (failures)
 			badlogin(tbuf);
-		(void)fprintf(stderr, "Login timed out after %d seconds\n",
+		fprintf(stderr, "Login timed out after %d seconds\n",
 		    timeout);
 		exit(0);
 	}
-	(void)signal(SIGALRM, timedout);
-	(void)alarm(timeout);
-	(void)setpriority(PRIO_PROCESS, 0, 0);
+	signal(SIGALRM, timedout);
+	alarm(timeout);
+	setpriority(PRIO_PROCESS, 0, 0);
 
 	openlog("login", LOG_ODELAY, LOG_AUTH);
 
@@ -262,11 +262,11 @@
 	setproctitle("-%s", getprogname());
 
 	for (cnt = getdtablesize(); cnt > 2; cnt--)
-		(void)close(cnt);
+		close(cnt);
 
 	ttyn = ttyname(STDIN_FILENO);
 	if (ttyn == NULL || *ttyn == '\0') {
-		(void)snprintf(tname, sizeof(tname), "%s??", _PATH_TTY);
+		snprintf(tname, sizeof(tname), "%s??", _PATH_TTY);
 		ttyn = tname;
 	}
 	if ((tty = strrchr(ttyn, '/')) != NULL)
@@ -309,7 +309,7 @@
 			if (failures > (pwd ? 0 : 1))
 				badlogin(tbuf);
 		}
-		(void)strlcpy(tbuf, username, sizeof(tbuf));
+		strlcpy(tbuf, username, sizeof(tbuf));
 
 		pwd = getpwnam(username);
 
@@ -338,7 +338,7 @@
 
 		fflag = 0;
 
-		(void)setpriority(PRIO_PROCESS, 0, -4);
+		setpriority(PRIO_PROCESS, 0, -4);
 
 #ifdef USE_PAM
 		/*
@@ -350,7 +350,7 @@
 #endif /* USE_PAM */
 			rval = auth_traditional();
 
-		(void)setpriority(PRIO_PROCESS, 0, 0);
+		setpriority(PRIO_PROCESS, 0, 0);
 
 #ifdef USE_PAM
 		/*
@@ -374,7 +374,7 @@
 				break;
 		}
 
-		(void)printf("Login incorrect\n");
+		printf("Login incorrect\n");
 		failures++;
 
 		/*
@@ -391,8 +391,8 @@
 	}
 
 	/* committed to login -- turn off timeout */
-	(void)alarm((u_int)0);
-	(void)signal(SIGHUP, SIG_DFL);
+	alarm((u_int)0);
+	signal(SIGHUP, SIG_DFL);
 
 	endpwent();
 
@@ -407,8 +407,8 @@
 
 	quietlog = login_getcapbool(lc, "hushlogin", 0);
 	/* Switching needed for NFS with root access disabled */
-	(void)setegid(pwd->pw_gid);
-	(void)seteuid(rootlogin ? 0 : pwd->pw_uid);
+	setegid(pwd->pw_gid);
+	seteuid(rootlogin ? 0 : pwd->pw_uid);
 	if (!*pwd->pw_dir || chdir(pwd->pw_dir) < 0) {
 		if (login_getcapbool(lc, "requirehome", 0))
 			refused("Home directory not available", "HOMEDIR", 1);
@@ -418,13 +418,13 @@
 			printf("No home directory.\nLogging in with home = \"/\".\n");
 		pwd->pw_dir = "/";
 	}
-	(void)seteuid(euid);
-	(void)setegid(egid);
+	seteuid(euid);
+	setegid(egid);
 	if (!quietlog)
 		quietlog = access(_PATH_HUSHLOGIN, F_OK) == 0;
 
 	if (pwd->pw_change || pwd->pw_expire)
-		(void)gettimeofday(&tp, (struct timezone *)NULL);
+		gettimeofday(&tp, (struct timezone *)NULL);
 
 #define	DEFAULT_WARN  (2L * 7L * 86400L)  /* Two weeks */
 
@@ -436,7 +436,7 @@
 			refused("Sorry -- your account has expired", "EXPIRED",
 			    1);
 		} else if (pwd->pw_expire - tp.tv_sec < warntime && !quietlog)
-			(void)printf("Warning: your account expires on %s",
+			printf("Warning: your account expires on %s",
 			    ctime(&pwd->pw_expire));
 	}
 
@@ -446,12 +446,12 @@
 	changepass = 0;
 	if (pwd->pw_change) {
 		if (tp.tv_sec >= pwd->pw_change) {
-			(void)printf("Sorry -- your password has expired.\n");
+			printf("Sorry -- your password has expired.\n");
 			changepass = 1;
 			syslog(LOG_INFO, "%s Password expired - forcing change",
 			    pwd->pw_name);
 		} else if (pwd->pw_change - tp.tv_sec < warntime && !quietlog)
-			(void)printf("Warning: your password expires on %s",
+			printf("Warning: your password expires on %s",
 			    ctime(&pwd->pw_change));
 	}
 
@@ -505,11 +505,11 @@
 
 	/* Nothing else left to fail -- really log in. */
 	memset((void *)&utmp, 0, sizeof(utmp));
-	(void)time(&utmp.ut_time);
-	(void)strncpy(utmp.ut_name, username, sizeof(utmp.ut_name));
+	time(&utmp.ut_time);
+	strncpy(utmp.ut_name, username, sizeof(utmp.ut_name));
 	if (hostname)
-		(void)strncpy(utmp.ut_host, hostname, sizeof(utmp.ut_host));
-	(void)strncpy(utmp.ut_line, tty, sizeof(utmp.ut_line));
+		strncpy(utmp.ut_host, hostname, sizeof(utmp.ut_host));
+	strncpy(utmp.ut_line, tty, sizeof(utmp.ut_line));
 	login(&utmp);
 
 	dolastlog(quietlog);
@@ -655,16 +655,16 @@
 		exit(1);
 	}
 
-	(void)setenv("SHELL", pwd->pw_shell, 1);
-	(void)setenv("HOME", pwd->pw_dir, 1);
+	setenv("SHELL", pwd->pw_shell, 1);
+	setenv("HOME", pwd->pw_dir, 1);
 	if (term != NULL && *term != '\0')
-		(void)setenv("TERM", term, 1);		/* Preset overrides */
+		setenv("TERM", term, 1);		/* Preset overrides */
 	else {
-		(void)setenv("TERM", stypeof(tty), 0);	/* Fallback doesn't */
+		setenv("TERM", stypeof(tty), 0);	/* Fallback doesn't */
 	}
-	(void)setenv("LOGNAME", username, 1);
-	(void)setenv("USER", username, 1);
-	(void)setenv("PATH", rootlogin ? _PATH_STDPATH : _PATH_DEFPATH, 0);
+	setenv("LOGNAME", username, 1);
+	setenv("USER", username, 1);
+	setenv("PATH", rootlogin ? _PATH_STDPATH : _PATH_DEFPATH, 0);
 
 	if (!quietlog) {
 		char	*cw;
@@ -673,12 +673,12 @@
 		if (cw != NULL && access(cw, F_OK) == 0)
 			motd(cw);
 		else
-		    (void)printf("%s\n\t%s %s\n",
+		    printf("%s\n\t%s %s\n",
 	"Copyright (c) 1980, 1983, 1986, 1988, 1990, 1991, 1993, 1994",
 	"The Regents of the University of California. ",
 	"All rights reserved.");
 
-		(void)printf("\n");
+		printf("\n");
 
 		cw = login_getcapstr(lc, "welcome", NULL, NULL);
 		if (cw == NULL || access(cw, F_OK) != 0)
@@ -692,16 +692,16 @@
 			snprintf(tbuf, sizeof(tbuf), "%s/%s", _PATH_MAILDIR,
 			    pwd->pw_name);
 		if (stat(tbuf, &st) == 0 && st.st_size != 0)
-			(void)printf("You have %smail.\n",
+			printf("You have %smail.\n",
 			    (st.st_mtime > st.st_atime) ? "new " : "");
 	}
 
 	login_close(lc);
 
-	(void)signal(SIGALRM, SIG_DFL);
-	(void)signal(SIGQUIT, SIG_DFL);
-	(void)signal(SIGINT, SIG_DFL);
-	(void)signal(SIGTSTP, SIG_IGN);
+	signal(SIGALRM, SIG_DFL);
+	signal(SIGQUIT, SIG_DFL);
+	signal(SIGINT, SIG_DFL);
+	signal(SIGTSTP, SIG_IGN);
 
 	if (changepass) {
 		if (system(_PATH_CHPASS) != 0)
@@ -855,7 +855,7 @@
 
 	for (pp = environ_pam; *pp != NULL; pp++) {
 		if (ok_to_export(*pp))
-			(void) putenv(*pp);
+			putenv(*pp);
 		free(*pp);
 	}
 	return PAM_SUCCESS;
@@ -895,7 +895,7 @@
 usage(void)
 {
 
-	(void)fprintf(stderr, "usage: login [-fp] [-h hostname] [username]\n");
+	fprintf(stderr, "usage: login [-fp] [-h hostname] [username]\n");
 	exit(1);
 }
 
@@ -913,7 +913,7 @@
 	static char nbuf[NBUFSIZ];
 
 	for (;;) {
-		(void)printf("%s", prompt);
+		printf("%s", prompt);
 		for (p = nbuf; (ch = getchar()) != '\n'; ) {
 			if (ch == EOF) {
 				badlogin(username);
@@ -924,7 +924,7 @@
 		}
 		if (p > nbuf) {
 			if (nbuf[0] == '-')
-				(void)fprintf(stderr,
+				fprintf(stderr,
 				    "login names may not start with '-'.\n");
 			else {
 				*p = '\0';
@@ -963,9 +963,9 @@
 	motdinterrupt = 0;
 	oldint = signal(SIGINT, sigint);
 	while ((nchars = read(fd, tbuf, sizeof(tbuf))) > 0 && !motdinterrupt)
-		(void)write(fileno(stdout), tbuf, nchars);
-	(void)signal(SIGINT, oldint);
-	(void)close(fd);
+		write(fileno(stdout), tbuf, nchars);
+	signal(SIGINT, oldint);
+	close(fd);
 }
 
 /* ARGSUSED */
@@ -984,30 +984,30 @@
 	int fd;
 
 	if ((fd = open(_PATH_LASTLOG, O_RDWR, 0)) >= 0) {
-		(void)lseek(fd, (off_t)pwd->pw_uid * sizeof(ll), L_SET);
+		lseek(fd, (off_t)pwd->pw_uid * sizeof(ll), L_SET);
 		if (!quiet) {
 			if (read(fd, (char *)&ll, sizeof(ll)) == sizeof(ll) &&
 			    ll.ll_time != 0) {
-				(void)printf("Last login: %.*s ",
+				printf("Last login: %.*s ",
 				    24-5, (char *)ctime(&ll.ll_time));
 				if (*ll.ll_host != '\0')
-					(void)printf("from %.*s\n",
+					printf("from %.*s\n",
 					    (int)sizeof(ll.ll_host),
 					    ll.ll_host);
 				else
-					(void)printf("on %.*s\n",
+					printf("on %.*s\n",
 					    (int)sizeof(ll.ll_line),
 					    ll.ll_line);
 			}
-			(void)lseek(fd, (off_t)pwd->pw_uid * sizeof(ll), L_SET);
+			lseek(fd, (off_t)pwd->pw_uid * sizeof(ll), L_SET);
 		}
 		memset((void *)&ll, 0, sizeof(ll));
-		(void)time(&ll.ll_time);
-		(void)strncpy(ll.ll_line, tty, sizeof(ll.ll_line));
+		time(&ll.ll_time);
+		strncpy(ll.ll_line, tty, sizeof(ll.ll_line));
 		if (hostname)
-			(void)strncpy(ll.ll_host, hostname, sizeof(ll.ll_host));
-		(void)write(fd, (char *)&ll, sizeof(ll));
-		(void)close(fd);
+			strncpy(ll.ll_host, hostname, sizeof(ll.ll_host));
+		write(fd, (char *)&ll, sizeof(ll));
+		close(fd);
 	} else {
 		syslog(LOG_ERR, "cannot open %s: %m", _PATH_LASTLOG);
 	}
@@ -1071,6 +1071,6 @@
 sleepexit(int eval)
 {
 
-	(void)sleep(5);
+	sleep(5);
 	exit(eval);
 }
Index: login/login_access.c
===================================================================
RCS file: /cvs/src/usr.bin/login/login_access.c,v
retrieving revision 1.3
diff -u -u -r1.3 login_access.c
--- login/login_access.c	19 Jun 2004 17:28:28 -0000	1.3
+++ login/login_access.c	7 Nov 2004 20:02:15 -0000
@@ -94,7 +94,7 @@
 	    match = (list_match(froms, from, from_match)
 		     && list_match(users, user, user_match));
 	}
-	(void) fclose(fp);
+	fclose(fp);
     } else if (errno != ENOENT) {
 	syslog(LOG_ERR, "cannot open %s: %m", _PATH_LOGACCESS);
     }
Index: logname/logname.c
===================================================================
RCS file: /cvs/src/usr.bin/logname/logname.c,v
retrieving revision 1.4
diff -u -u -r1.4 logname.c
--- logname/logname.c	29 Oct 2004 13:52:53 -0000	1.4
+++ logname/logname.c	7 Nov 2004 20:02:15 -0000
@@ -65,13 +65,13 @@
 
 	if ((p = getlogin()) == NULL)
 		err(1, NULL);
-	(void)printf("%s\n", p);
+	printf("%s\n", p);
 	exit(0);
 }
 
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: logname\n");
+	fprintf(stderr, "usage: logname\n");
 	exit(1);
 }
Index: look/look.c
===================================================================
RCS file: /cvs/src/usr.bin/look/look.c,v
retrieving revision 1.3
diff -u -u -r1.3 look.c
--- look/look.c	4 Oct 2003 20:36:48 -0000	1.3
+++ look/look.c	7 Nov 2004 20:02:15 -0000
@@ -96,7 +96,7 @@
 	int ch, fd, termchar, match;
 	unsigned char *back, *file, *front, *string, *p;
 
-	(void) setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	file = _PATH_WORDS;
 	termchar = '\0';
@@ -321,6 +321,6 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: look [-df] [-t char] string [file ...]\n");
+	fprintf(stderr, "usage: look [-df] [-t char] string [file ...]\n");
 	exit(2);
 }
Index: m4/eval.c
===================================================================
RCS file: /cvs/src/usr.bin/m4/eval.c,v
retrieving revision 1.2
diff -u -u -r1.2 eval.c
--- m4/eval.c	17 Jun 2003 04:29:28 -0000	1.2
+++ m4/eval.c	7 Nov 2004 20:02:15 -0000
@@ -259,7 +259,7 @@
 
 	case SINCTYPE:
 		if (argc > 2)
-			(void) doincl(argv[2]);
+			doincl(argv[2]);
 		break;
 #ifdef EXTENDED
 	case PASTTYPE:
@@ -271,7 +271,7 @@
 
 	case SPASTYPE:
 		if (argc > 2)
-			(void) dopaste(argv[2]);
+			dopaste(argv[2]);
 		break;
 #endif
 	case CHNQTYPE:
@@ -757,7 +757,7 @@
 		fprintf(active, "#line 1 \"%s\"\n", pfile);
 		while ((c = getc(pf)) != EOF)
 			putc(c, active);
-		(void) fclose(pf);
+		fclose(pf);
 		emitline();
 		return (1);
 	} else
Index: m4/gnum4.c
===================================================================
RCS file: /cvs/src/usr.bin/m4/gnum4.c,v
retrieving revision 1.2
diff -u -u -r1.2 gnum4.c
--- m4/gnum4.c	17 Jun 2003 04:29:28 -0000	1.2
+++ m4/gnum4.c	7 Nov 2004 20:02:15 -0000
@@ -496,15 +496,15 @@
 		err(1, "bad fork");
 		/* NOTREACHED */
 	case 0:
-		(void) close(p[0]);
-		(void) dup2(p[1], 1);
-		(void) close(p[1]);
+		close(p[0]);
+		dup2(p[1], 1);
+		close(p[1]);
 		execl(_PATH_BSHELL, "sh", "-c", cmd, NULL);
 		exit(1);
 	default:
 		/* Read result in two stages, since m4's buffer is
 		 * pushback-only. */
-		(void) close(p[1]);
+		close(p[1]);
 		do {
 			char result[BUFSIZE];
 			cc = read(p[0], result, sizeof result);
@@ -512,7 +512,7 @@
 				addchars(result, cc);
 		} while (cc > 0 || (cc == -1 && errno == EINTR));
 
-		(void) close(p[0]);
+		close(p[0]);
 		while ((pid = wait(&status)) != cpid && pid >= 0)
 			continue;
 		pbstr(getstring());
Index: m4/main.c
===================================================================
RCS file: /cvs/src/usr.bin/m4/main.c,v
retrieving revision 1.2
diff -u -u -r1.2 main.c
--- m4/main.c	17 Jun 2003 04:29:28 -0000	1.2
+++ m4/main.c	7 Nov 2004 20:02:15 -0000
@@ -271,7 +271,7 @@
 			getdiv(n);
 					/* remove bitbucket if used  */
 	if (outfile[0] != NULL) {
-		(void) fclose(outfile[0]);
+		fclose(outfile[0]);
 	}
 
 	exit(rval);
Index: m4/misc.c
===================================================================
RCS file: /cvs/src/usr.bin/m4/misc.c,v
retrieving revision 1.2
diff -u -u -r1.2 misc.c
--- m4/misc.c	17 Jun 2003 04:29:28 -0000	1.2
+++ m4/misc.c	7 Nov 2004 20:02:15 -0000
@@ -222,7 +222,7 @@
 	rewind(outfile[n]);
 	while ((c = getc(outfile[n])) != EOF)
 		putc(c, active);
-	(void) fclose(outfile[n]);
+	fclose(outfile[n]);
 	outfile[n] = NULL;
 }
 
@@ -244,7 +244,7 @@
 
 	for (n = 0; n < maxout; n++)
 		if (outfile[n] != NULL) {
-			(void) fclose(outfile[n]);
+			fclose(outfile[n]);
 		}
 }
 
Index: mail/popen.c
===================================================================
RCS file: /cvs/src/usr.bin/mail/popen.c,v
retrieving revision 1.4
diff -u -u -r1.4 popen.c
--- mail/popen.c	8 Sep 2004 03:01:11 -0000	1.4
+++ mail/popen.c	7 Nov 2004 20:02:15 -0000
@@ -152,9 +152,9 @@
 
 	while (fp_head != NULL)
 		if (fp_head->pipe)
-			(void)Pclose(fp_head->fp);
+			Pclose(fp_head->fp);
 		else
-			(void)Fclose(fp_head->fp);
+			Fclose(fp_head->fp);
 }
 
 void
@@ -179,7 +179,7 @@
 	for (pp = &fp_head; (p = *pp) != NULL; pp = &p->link)
 		if (p->fp == fp) {
 			*pp = p->link;
-			(void)free(p);
+			free(p);
 			return;
 		}
 	errx(1, "Invalid file pointer");
@@ -260,9 +260,9 @@
 		dup2(outfd, 1);
 	for (i = 1; i < NSIG; i++)
 		if (nset != NULL && sigismember(nset, i))
-			(void)signal(i, SIG_IGN);
+			signal(i, SIG_IGN);
 	if (nset == NULL || !sigismember(nset, SIGINT))
-		(void)signal(SIGINT, SIG_DFL);
+		signal(SIGINT, SIG_DFL);
 	sigemptyset(&eset);
 	sigprocmask(SIG_SETMASK, &eset, NULL);
 }
@@ -342,7 +342,7 @@
 	sigprocmask(SIG_BLOCK, &nset, &oset);	
 
 	while (!cp->done)
-		(void)sigsuspend(&oset);
+		sigsuspend(&oset);
 	wait_status = cp->status;
 	delchild(cp);
 	sigprocmask(SIG_SETMASK, &oset, NULL);
Index: make/arch.c
===================================================================
RCS file: /cvs/src/usr.bin/make/arch.c,v
retrieving revision 1.4
diff -u -u -r1.4 arch.c
--- make/arch.c	3 Nov 2003 19:31:30 -0000	1.4
+++ make/arch.c	7 Nov 2004 20:02:15 -0000
@@ -321,7 +321,7 @@
 		    return(FAILURE);
 		} else {
 		    gn->type |= OP_ARCHV;
-		    (void)Lst_AtEnd(nodeLst, (ClientData)gn);
+		    Lst_AtEnd(nodeLst, (ClientData)gn);
 		}
 	    } else if (Arch_ParseArchive(&sacrifice, nodeLst, ctxt)!=SUCCESS) {
 		/*
@@ -364,7 +364,7 @@
 		     * end of the provided list.
 		     */
 		    gn->type |= OP_ARCHV;
-		    (void) Lst_AtEnd (nodeLst, (ClientData)gn);
+		    Lst_AtEnd (nodeLst, (ClientData)gn);
 		}
 	    }
 	    Lst_Destroy(members, NOFREE);
@@ -386,7 +386,7 @@
 		 * provided list.
 		 */
 		gn->type |= OP_ARCHV;
-		(void) Lst_AtEnd (nodeLst, (ClientData)gn);
+		Lst_AtEnd (nodeLst, (ClientData)gn);
 	    }
 	}
 	if (doSubst) {
@@ -572,7 +572,7 @@
 	    arh.ar_size[sizeof(arh.ar_size)-1] = '\0';
 	    size = (int) strtol(arh.ar_size, NULL, 10);
 
-	    (void) strncpy (memName, arh.ar_name, sizeof(arh.ar_name));
+	    strncpy (memName, arh.ar_name, sizeof(arh.ar_name));
 	    for (cp = &memName[AR_MAX_NAME_LEN]; *cp == ' '; cp--) {
 		continue;
 	    }
@@ -633,7 +633,7 @@
 
     fclose (arch);
 
-    (void) Lst_AtEnd (archives, (ClientData) ar);
+    Lst_AtEnd (archives, (ClientData) ar);
 
     /*
      * Now that the archive has been read and cached, we can look into
@@ -753,7 +753,7 @@
 	printf("Replaced %s with %s\n", name, &ar->fnametab[entry]);
     }
 
-    (void) strncpy(name, &ar->fnametab[entry], MAXPATHLEN);
+    strncpy(name, &ar->fnametab[entry], MAXPATHLEN);
     name[MAXPATHLEN] = '\0';
     return 1;
 }
@@ -938,7 +938,7 @@
     snprintf(arh.ar_date, sizeof(arh.ar_date), "%-12ld", (long) now);
 
     if (arch != NULL) {
-	(void)fwrite ((char *)&arh, sizeof (struct ar_hdr), 1, arch);
+	fwrite ((char *)&arh, sizeof (struct ar_hdr), 1, arch);
 	fclose (arch);
     }
 }
@@ -971,7 +971,7 @@
     snprintf(arh.ar_date, sizeof(arh.ar_date), "%-12ld", (long) now);
 
     if (arch != NULL) {
-	(void)fwrite ((char *)&arh, sizeof (struct ar_hdr), 1, arch);
+	fwrite ((char *)&arh, sizeof (struct ar_hdr), 1, arch);
 	fclose (arch);
 
 	times.actime = times.modtime = now;
Index: make/buf.h
===================================================================
RCS file: /cvs/src/usr.bin/make/buf.h,v
retrieving revision 1.3
diff -u -u -r1.3 buf.h
--- make/buf.h	3 Nov 2003 19:31:30 -0000	1.3
+++ make/buf.h	7 Nov 2004 20:02:18 -0000
@@ -62,7 +62,7 @@
 
 /* Buf_AddByte adds a single byte to a buffer. */
 #define	Buf_AddByte(bp, byte) \
-	(void) (--(bp)->left <= 0 ? Buf_OvAddByte(bp, byte), 1 : \
+	(--(bp)->left <= 0 ? Buf_OvAddByte(bp, byte), 1 : \
 		(*(bp)->inPtr++ = (byte), *(bp)->inPtr = 0), 1)
 
 #define BUF_ERROR 256
Index: make/compat.c
===================================================================
RCS file: /cvs/src/usr.bin/make/compat.c,v
retrieving revision 1.3
diff -u -u -r1.3 compat.c
--- make/compat.c	3 Nov 2003 19:31:30 -0000	1.3
+++ make/compat.c	7 Nov 2004 20:02:15 -0000
@@ -127,8 +127,8 @@
     }
     if (signo == SIGQUIT)
 	exit(signo);
-    (void) signal(signo, SIG_DFL);
-    (void) kill(getpid(), signo);
+    signal(signo, SIG_DFL);
+    kill(getpid(), signo);
 }
 
 /*-
@@ -200,8 +200,8 @@
      * to ``unregister'' variables
      */
 #if __GNUC__
-    (void) &av;
-    (void) &errCheck;
+    &av;
+    &errCheck;
 #endif
     silent = gn->type & OP_SILENT;
     errCheck = !(gn->type & OP_IGNORE);
@@ -226,7 +226,7 @@
     Lst_Replace (cmdNode, (ClientData)cmdStart);
 
     if ((gn->type & OP_SAVE_CMDS) && (gn != ENDNode)) {
-	(void)Lst_AtEnd(ENDNode->commands, (ClientData)cmdStart);
+	Lst_AtEnd(ENDNode->commands, (ClientData)cmdStart);
 	return(0);
     } else if (strcmp(cmdStart, "...") == 0) {
 	gn->type |= OP_SAVE_CMDS;
@@ -325,12 +325,12 @@
     if (cpid == 0) {
 	if (local) {
 	    execvp(av[0], av);
-	    (void) write (2, av[0], strlen (av[0]));
-	    (void) write (2, ":", 1);
-	    (void) write (2, strerror(errno), strlen(strerror(errno)));
-	    (void) write (2, "\n", 1);
+	    write (2, av[0], strlen (av[0]));
+	    write (2, ":", 1);
+	    write (2, strerror(errno), strlen(strerror(errno)));
+	    write (2, "\n", 1);
 	} else {
-	    (void)execv(av[0], av);
+	    execv(av[0], av);
 	}
 	exit(1);
     }
Index: make/cond.c
===================================================================
RCS file: /cvs/src/usr.bin/make/cond.c,v
retrieving revision 1.4
diff -u -u -r1.4 cond.c
--- make/cond.c	24 Oct 2004 22:43:58 -0000	1.4
+++ make/cond.c	7 Nov 2004 20:02:15 -0000
@@ -979,7 +979,7 @@
 	    if (l == True) {
 		l = CondF(doEval);
 	    } else {
-		(void) CondF(FALSE);
+		CondF(FALSE);
 	    }
 	} else {
 	    /*
@@ -1027,7 +1027,7 @@
 	    if (l == False) {
 		l = CondE(doEval);
 	    } else {
-		(void) CondE(FALSE);
+		CondE(FALSE);
 	    }
 	} else {
 	    /*
Index: make/dir.c
===================================================================
RCS file: /cvs/src/usr.bin/make/dir.c,v
retrieving revision 1.4
diff -u -u -r1.4 dir.c
--- make/dir.c	24 Oct 2004 22:43:58 -0000	1.4
+++ make/dir.c	7 Nov 2004 20:02:15 -0000
@@ -349,7 +349,7 @@
 	    ((entry->name[0] != '.') ||
 	     (pattern[0] == '.')))
 	{
-	    (void)Lst_AtEnd(expansions,
+	    Lst_AtEnd(expansions,
 			    (isDot ? estrdup(entry->name) :
 			     str_concat(p->name, entry->name,
 					STR_ADDSLASH)));
@@ -460,7 +460,7 @@
 	     * Hit the end w/o finding any wildcards, so stick the expansion
 	     * on the end of the list.
 	     */
-	    (void)Lst_AtEnd(expansions, file);
+	    Lst_AtEnd(expansions, file);
 	} else {
 	next:
 	    free(file);
@@ -804,7 +804,7 @@
 	if (DEBUG(DIR)) {
 	    printf("failed. Trying subdirectories...");
 	}
-	(void) Lst_Open (path);
+	Lst_Open (path);
 	while ((ln = Lst_Next (path)) != NILLNODE) {
 	    p = (Path *) Lst_Datum (ln);
 	    if (p != dot) {
@@ -1039,7 +1039,7 @@
 	p = (Path *)Lst_Datum (ln);
 	if (Lst_Member(path, (ClientData)p) == NILLNODE) {
 	    p->refCount += 1;
-	    (void)Lst_AtEnd (path, (ClientData)p);
+	    Lst_AtEnd (path, (ClientData)p);
 	}
     } else {
 	if (DEBUG(DIR)) {
@@ -1076,11 +1076,11 @@
 		if (ISDOT(dp->d_name) || ISDOTDOT(dp->d_name))
 			continue;
 
-		(void)Hash_CreateEntry(&p->files, dp->d_name, (Boolean *)NULL);
+		Hash_CreateEntry(&p->files, dp->d_name, (Boolean *)NULL);
 	    }
-	    (void) closedir (d);
-	    (void)Lst_AtEnd (openDirectories, (ClientData)p);
-	    (void)Lst_AtEnd (path, (ClientData)p);
+	    closedir (d);
+	    Lst_AtEnd (openDirectories, (ClientData)p);
+	    Lst_AtEnd (path, (ClientData)p);
 	}
 	if (DEBUG(DIR)) {
 	    printf("done\n");
@@ -1178,7 +1178,7 @@
 	LstNode	ln;
 
 	ln = Lst_Member (openDirectories, (ClientData)p);
-	(void) Lst_Remove (openDirectories, ln);
+	Lst_Remove (openDirectories, ln);
 
 	Hash_DeleteTable (&p->files);
 	free((Address)p->name);
@@ -1238,7 +1238,7 @@
 	p = (Path *)Lst_Datum(ln);
 	if (Lst_Member(path1, (ClientData)p) == NILLNODE) {
 	    p->refCount += 1;
-	    (void)Lst_AtEnd(path1, (ClientData)p);
+	    Lst_AtEnd(path1, (ClientData)p);
 	}
     }
 }
